package com.zcloud.zcGbsServicer.api;

import com.zcloud.zcGbsServicer.dto.RescueTeamAddCmd;
import com.zcloud.zcGbsServicer.dto.RescueTeamPageQry;
import com.zcloud.zcGbsServicer.dto.RescueTeamUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.RescueTeamCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author makejava
* @Date 2026-01-21 17:23:00
*/
public interface RescueTeamServiceI {
    PageResponse<RescueTeamCO> listPage(RescueTeamPageQry qry);

    SingleResponse<RescueTeamCO> add(RescueTeamAddCmd cmd);

    void edit(RescueTeamUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

